class LawAccordingReg:
    @staticmethod
    def getCommonLawAccordingReg():
        reg = r"《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^款]{1,10}款[^第]{0,5}第[^项]{1,10}项" \
              r"|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^款]{1,10}款" \
              r"|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条[^第]{0,5}第[^项]{1,10}项" \
              r"|《[^》]*?》[^《》]{0,40}第[^条]{1,10}条" \
              r"|《[^》]*?》"

        return reg

    pass


class AdminPenaltyDateReg:
    @staticmethod
    def getCommonAdminPenaltyDateReg():
        reg = r"(?<=\s+)\S{4}年\S{1,3}月\S{1,3}日(?=\s+|$)" \
              r"|(?<=\s+)\S{4}\s{0,2}年\s{0,2}\S{1,3}\s{0,2}月\s{0,2}\S{1,3}\s{0,2}日(?=\s+|$)"
        return reg


class AdminPenaltyDeptReg:
    @staticmethod
    def getCommonDeptReg():
        reg = r"(?<=\s+|^)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=(（印章） )?\s+|，|$|\d{4}|(&nbsp;){1,})" \
              r"|(?<=^|\s+)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=\s*行政处罚决定书)" \
              r"|(?<=可以在六十日内依法向)[\u4e00-\u9fa5 ]{3,20}[局会部行署室队厅](?=申请行政复议)"
        return reg


class AdminPenaltyNumberReg:
    @staticmethod
    def getCommonNumberReg():
        reg = r"(?<=\s+|^)[\u4e00-\u9fa5]+[\(（]?[\u4e00-\u9fa5]*[\)）]?[\u4e00-\u9fa5]*\s*[\〔\[\（\［\(【]{0,3}\s?\d+\s{0,3}[\〕\]\）\］\)】]\s*第?\d+(-\d+)?\s*号?(?=[\s\r\t]+)" \
              r"|(?<=\s+|^)[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号?(?=\s+)" \
              r"|(?<=\s+|^)[\u4e00-\u9fa5]+[\(（]?[\u4e00-\u9fa5]*[\)）]?[\u4e00-\u9fa5]*\s*[\〔\[\（\［\(【]{0,3}\s?\d+\s{0,4}[\〕\]\）\］\)】]\s*\w*\d+(-\d+)?\s*号?(?=[\s\r\t]+)" \
              r"|(?<=[\〔\[\（\［\(【])[\u4e00-\u9fa5]+\s*[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]\s*\d+(-\d+)?\s*号(?=[\〕\]\）\］\)】]?[\s\n\r\t]+)" \
              r"|(?<=[\〔\[\（\［\(【])[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号(?=[\〕\]\）\］\)】])" \
              r"|(?<=(\s+|--|——))[\u4e00-\u9fa5]+\s*[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]\s*\d+(-\d+)?\s*号" \
              r"|(?<=(\s+|--|——))[\u4e00-\u9fa5]+\s*\d+[\〔\[\（\［\(【]\s{0,3}\d+\s{0,3}[\〕\]\）\］\)】]号" \
              r"|(?<=[\〔\[\（\［\(【])\d+年\d+(-\d+)?\s*号(?=[\〕\]\）\］\)】])" \
              r"|(?<=[\（|\(])[\u4e00-\u9fa5]+[\【|\〔]\d{4}[\】|\〕]\d{1,3}[\u4e00-\u9fa5](?=[\）|)][\t\r\n]+)" \
              r"|(?<=[\s]+)[\u4e00-\u9fa5]+[（][\d]{4}[）][\u4e00-\u9fa5]+[\d]{1,3}号(?=[\s]+)"
        return reg


class AdminPenaltyPunishedPartiesReg:
    @staticmethod
    def getCommonPunishedPartiesReg():
        reg = r"(?<=当事人企业名称[:：])\s*.{2,20}(?=[，；;\s])" \
              r"|(?<=当\s*事\s*人\s*(姓名|名称)*?(（单位名称）)*?[:：])\s*.{2,20}(公司|店|批发部|营业部|经营部)(?=[，,；;\s])" \
              r"|(?<=法定代表人[:：])\s*.{2,20}(公司|店|批发部|营业部|经营部)(?=[，,；;\s])"
        return reg


class AdminPenaltyPunishedPeopleReg:
    @staticmethod
    def getCommonPunishedPeopleReg():
        reg = r"(?<=当事人(姓名)*?[:：])[^司部店]{2,10}(?=[，,；;\s])" \
              r"|(?<=(法定代表人|法人代表)(（负责人）)*?[:：])[^司部店]{2,10}(?=[，,；;\s])" \
              r"|(?<=负责人(\))*?[:：])[^司部店]{2,10}(?=[，,；;\s])" \
              r"|(?<=当事人)[^:：司部店]{2,4}(?=[\s，,；;\r\n])"
        return reg


class AdminPenaltyPunishedMeasuresReg:
    @staticmethod
    def getCommonPunishedMeasuresReg():
        reg = r"(?<=([\s]+[\s\S]+[\，][\u4e00-\u9fa5]+决定(给予你|对你公司作出)?|我局对你))[\s\S]+?(?=的(行政)*处罚。|[\s]+请在接到本处罚决定书)" \
              r"|(?<=如下(行政)?处罚：[\s]*)[^\s][\s\S]+?(?=[\s]*(当事人|限于))" \
              r"|(?<=依据[^\s，]+，我局决定责令)[\s\S]+(?=[\s]+如不服本处罚决定)" \
              r"|(?<=(((如|以)下(行政处罚|处罚|处理)|处罚如下|我委认为)：[\s]+)|，决定|决定如下：|我委)[^\s][\s\S]+?(?=([\s]+(三、|[\u4e00-\u9fa5]*(如不服本处罚决定|如对上述(行政处罚)*决定不服|专此通知。|。如不服本决定|(的处罚。)|如果对上述决定不服))))" \
              r"|(?<=依据[^\s，]+，我局决定责令|本局决定：)[\s\S]+(?=如不服本处罚决定)" \
              r"(?<=依据[^\s，]+，我局拟对你(单位|公司)?作出以下处理：)[\s\S]+?(?=[\r\t\n\s]+)" \
              r"|(?<=依据[^\s，]+，我局决定对你单位)[\s\S]+?(?=[\r\t\n\s]+)" \
              r"|(?<=(根据|依据)[^\s，]+，责令你(单位|公司))[\s\S]+?(?=我局将)" \
              r"|(?<=(决定|处[\r\n]*?罚)如下[：:]).*?(?=当事人[\s\S]{0,30}(应当自|自)*?收到本(行政|行政处罚|处罚)*?决定[书]*)" \
              r"|(?<=(决定|处罚)如下[：:]).*?(?=(当事人)*?如不服本(处罚)*?决定[书]*)" \
              r"|(?<=如下(行政处罚|处罚)[：:]).*?(?=当事人[\s\S]{0,30}(应当自|自)*?收到本(行政|行政处罚|处罚)*?决定[书]*)"
        return reg
